Partners - Get
Gets an integration account partner.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Logic/integrationAccounts/{integrationAccountName}/partners/{partnerName}?api-version=2016-06-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
integration
|
path | True |
string |
The integration account name. |
|
partner
|
path | True |
string |
The integration account partner name. |
|
resource
|
path | True |
string |
The resource group name. |
|
subscription
|
path | True |
string |
The subscription id. |
|
api-version
|
query | True |
string |
The API version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Get partner by name
Sample request
GET https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testResourceGroup/providers/Microsoft.Logic/integrationAccounts/testIntegrationAccount/partners/testPartner?api-version=2016-06-01
Sample response
{
"properties": {
"partnerType": "B2B",
"content": {
"b2b": {
"businessIdentities": [
{
"qualifier": "AA",
"value": "ZZ"
}
]
}
},
"createdTime": "2017-03-06T20:01:24.0517156Z",
"changedTime": "2017-03-06T20:01:24.0525141Z",
"metadata": {}
},
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testResourceGroup/providers/Microsoft.Logic/integrationAccounts/testIntegrationAccount/partners/testPartner",
"name": "testIntegrationAccount",
"type": "Microsoft.Logic/integrationAccounts/partners"
}
Definitions
| Name | Description |
|---|---|
|
B2BPartner |
The B2B partner content. |
|
Business |
The integration account partner's business identity. |
|
Integration |
The integration account partner. |
| Metadata |
The metadata. |
|
Partner |
The integration account partner content. |
|
Partner |
B2BPartnerContent
The B2B partner content.
| Name | Type | Description |
|---|---|---|
| businessIdentities |
The list of partner business identities. |
BusinessIdentity
The integration account partner's business identity.
| Name | Type | Description |
|---|---|---|
| qualifier |
string |
The business identity qualifier e.g. as2identity, ZZ, ZZZ, 31, 32 |
| value |
string |
The user defined business identity value. |
IntegrationAccountPartner
The integration account partner.
| Name | Type | Description |
|---|---|---|
| id |
string |
The resource id. |
| location |
string |
The resource location. |
| name |
string |
Gets the resource name. |
| properties.changedTime |
string (date-time) |
The changed time. |
| properties.content |
The partner content. |
|
| properties.createdTime |
string (date-time) |
The created time. |
| properties.metadata |
The metadata. |
|
| properties.partnerType |
The partner type. |
|
| tags |
object |
The resource tags. |
| type |
string |
Gets the resource type. |
Metadata
The metadata.
PartnerContent
The integration account partner content.
| Name | Type | Description |
|---|---|---|
| b2b |
The B2B partner content. |
PartnerType
| Value | Description |
|---|---|
| NotSpecified | |
| B2B |